name: flutter_habit
description: A new Flutter application.
version: 1.2.2+1

environment:
  sdk: ">=2.7.0 <3.0.0"

dependencies:
  flutter:
    sdk: flutter

  sqflite: ^2.2.8+4 # 数据库
  flutter_local_notifications: ^15.1.0+1 # 本地消息推送
  shared_preferences: ^2.2.0 # 键值对存储
  dio: ^5.3.0 # 请求
  fl_chart: ^0.62.0 # 图表
  image_picker: ^1.0.2 # 相机、相册
  image_crop: ^0.4.1 # 图片裁剪
  flutter_image_compress: ^2.0.4 # 图片压缩
  provider: ^6.0.5 # 状态管理
  flutter_markdown: ^0.6.15 # markdown

  cupertino_icons: ^1.0.5

dev_dependencies:
  flutter_test:
    sdk: flutter
flutter:
  uses-material-design: true
  assets:
    - res/welcome.png
    - res/logo.png
  fonts:
    - family: A
      fonts:
        - asset: res/hyyr.ttf
